# ImageBitmapLoader - Three.js Docs

Loader →

# ImageBitmapLoader

A loader for loading images as an ImageBitmap. An `ImageBitmap` provides an asynchronous and resource efficient pathway to prepare textures for rendering.

Note that Texture#flipY and Texture#premultiplyAlpha are ignored with image bitmaps. They needs these configuration on bitmap creation unlike regular images need them on uploading to GPU.

You need to set the equivalent options via ImageBitmapLoader#setOptions instead.

Also note that unlike FileLoader, this loader avoids multiple concurrent requests to the same URL only if `Cache` is enabled.

## Code Example

    const loader = new THREE.ImageBitmapLoader();
    loader.setOptions( { imageOrientation: 'flipY' } ); // set options if needed
    const imageBitmap = await loader.loadAsync( 'image.png' );
    const texture = new THREE.Texture( imageBitmap );
    texture.needsUpdate = true;

## Constructor

### new ImageBitmapLoader ( manager : LoadingManager )

Constructs a new image bitmap loader.

manager | The loading manager.

## Properties

### .isImageBitmapLoader : boolean (readonly)

This flag can be used for type testing.

Default is `true`.

### .options : Object

Represents the loader options.

Default is `{premultiplyAlpha:'none'}`.

## Methods

### .abort () : ImageBitmapLoader

Aborts ongoing fetch requests.

Overrides: Loader#abort

Returns: A reference to this instance.

### .load ( url : string, onLoad : function, onProgress : onProgressCallback, onError : onErrorCallback ) : ImageBitmap | undefined

Starts loading from the given URL and pass the loaded image bitmap to the `onLoad()` callback.

url | The path/URL of the file to be loaded. This can also be a data URI.
onLoad | Executed when the loading process has been finished.
onProgress | Unsupported in this loader.
onError | Executed when errors occur.

Overrides: Loader#load

Returns: The image bitmap.

### .setOptions ( options : Object ) : ImageBitmapLoader

Sets the given loader options. The structure of the object must match the `options` parameter of createImageBitmap.

options | The loader options to set.

Returns: A reference to this image bitmap loader.

## Source

src/loaders/ImageBitmapLoader.js